Bug 35129 - Form spin button doesn't expose ROLE_SPIN_BUTTON to AT-SPI
Summary: Form spin button doesn't expose ROLE_SPIN_BUTTON to AT-SPI
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: a11y-Linux
  Show dependency treegraph
 
Reported: 2011-03-08 20:58 UTC by Dattatray Bhat
Modified: 2018-10-04 02:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Accerciser screenshot: Spin Button exposes ROLE_PUSH_BUTTON to AT-SPI. (146.14 KB, image/png)
2011-03-08 20:58 UTC, Dattatray Bhat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dattatray Bhat 2011-03-08 20:58:59 UTC
Created attachment 44258 [details]
Accerciser screenshot: Spin Button exposes ROLE_PUSH_BUTTON to AT-SPI.

A spin button in Libre Office calc spreadsheet doesn't expose ROLE_SPIN_BUTTON to
AT-SPI. It exposes ROLE_PUSH_BUTTON. If it exposes the correct role viz.
ROLE_SPIN_BUTTON, assistive tools like a screen reader can use the information
to improve accessibility of the spreadsheet.

Steps to reproduce:
1. Start Libre Office calc. Create a new spreadsheet. Add a spin button. Turn Design Mode off. Save the spreadsheet.

2. Start Accerciser accessibility explorer.

3. Go to the accessible tree view at top left. As shown in attached screen-shot, select the accessible object corresponding to the spin button just created. The Role column shows 'push button'.

4. In the plug-in view at top right, select Interface Viewer. The first line
shows the role as 'push button'. though the name shown is Spin Button 1.

5. Go to the IPythonConsole at bottom. Command acc.getRole() returns the role
as ROLE_PUSH_BUTTON.
Comment 1 Björn Michaelsen 2011-12-23 11:47:18 UTC Comment hidden (obsolete)
Comment 2 Dattatray Bhat 2011-12-26 22:29:49 UTC
Today I rechecked my observation with Libre Office dev 3.5.0 beta2 and found
that the bug persists. I suggest that the bug be moved back to NEW status.
Comment 3 Florian Reisinger 2012-08-14 14:00:23 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2012-08-14 14:01:31 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:06:14 UTC Comment hidden (obsolete)
Comment 6 Florian Reisinger 2012-08-14 14:08:16 UTC Comment hidden (obsolete)
Comment 7 Joanmarie Diggs 2012-08-14 14:36:20 UTC
I don't know how I missed the bugmail, but this was never addressed.
Comment 8 Florian Reisinger 2012-08-15 12:35:55 UTC
Okay
Comment 9 Christophe Strobbe 2013-08-07 16:35:29 UTC
Corresponding Apache OpenOffice bug: https://issues.apache.org/ooo/show_bug.cgi?id=117274
Comment 10 QA Administrators 2015-04-01 14:42:35 UTC Comment hidden (obsolete)
Comment 11 Yousuf Philips (jay) (retired) 2016-09-07 18:10:42 UTC
This happens also in writer, so changing the component. Confirmed that it happens in both gtk2 and gtk3 builds of LO and doesnt happen on windows.
Comment 12 Xisco Faulí 2017-09-29 08:53:17 UTC Comment hidden (obsolete)
Comment 13 Alex ARNAUD 2017-10-03 12:53:29 UTC
Dear all,

I can reproduce this issue on LibreOfficeDev 6.0 of 2017-09-27 on Debian 8.9 "Jessie".

Best regards.
Comment 14 QA Administrators 2018-10-04 02:55:06 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug